version: 25.9.2
files:
  - url: Trezor-Suite-25.9.2-linux-arm64.AppImage
    sha512: 03/EfrGkW2Il3LEKzkkrrS16b0mwS2sXXZpIyPzIgAYvENAD7gh4/EDB3c7cebPJ9EjkmT+xAS1aQ7afa3V2bw==
    size: 185907238
    blockMapSize: 193394
path: Trezor-Suite-25.9.2-linux-arm64.AppImage
sha512: 03/EfrGkW2Il3LEKzkkrrS16b0mwS2sXXZpIyPzIgAYvENAD7gh4/EDB3c7cebPJ9EjkmT+xAS1aQ7afa3V2bw==
releaseNotes: "### 🚀 New features\n\n- Biometric authentication is now supported—unlock Trezor Suite with Touch ID, Face ID, or Windows Hello for quick access and stronger protection.\n- MEV protection is active by default on Ethereum, Base, and BNB Smart Chain, and can be changed in Settings.\n- A new dashboard overview displays all staked assets in one place for clearer portfolio management.\n- Users can now claim the Cardano Midnight airdrop directly through Trezor Suite.\n\n### 🎨 Improvements\n\n- The approve/revoke flow for EVM token allowances has been redesigned for improved clarity and stronger security.\n- The welcome screen has been refreshed with a more consistent and polished design.\n- The flow for adding EVM accounts has been fixed—users can now add a new account even if the previous one is empty.\n- Send options have been streamlined—Locktime and Broadcast settings are now grouped under\_Advanced Send\_for better organization.\n- Graph messaging has been refined to provide clearer context and usability.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n"
releaseDate: '2025-09-16T15:20:34.189Z'
stagingPercentage: 20
